## org.apache.tools.ant.taskdefs.optional.javah
Interface JavahAdapter

All Known Implementing Classes:
  Kaffeh, SunJavah

    public interface JavahAdapter

Interface for different backend implementations of the Javah task.

Since:
  Ant 1.6.3

Method Summary
`boolean` `compile(Javah javah)` Performs the actual compilation.

Method Detail

### compile

    boolean compile(Javah javah)
                    throws BuildException

  Performs the actual compilation.

  Parameters:
    `javah` - the calling javah task.
  Returns:
    true if the compilation was successful.
  Throws:
    `BuildException` - if there is an error.
  Since:
    Ant 1.6.3